EVM and SVM onchain data endpoints, plus API documentation and monitoring.
    Read-only preview
    You're browsing the public OpenAPI spec. Sign in to send live requests with your team's API key.
    EVM DEXs

    Liquidity Pools

    Returns DEX pool metadata including tokens, fees, and protocol.
    GET
    https://api.pinax.network/v1/evm/pools
    Requires bearer token — sign in to inject your team’s key.

    Supported networks (9)

    Arbitrum OneArbitrum OneAvalancheAvalancheBaseBaseBNBBNBHyperEVMHyperEVMEthereumEthereumOptimismOptimismPolygonPolygonUnichainUnichain

    Required parameters

    NameTypeDescription
    networkrequired
    query
    Enum · 9The Graph Network ID for EVM networks https://thegraph.com/networks
    arbitrum-oneavalanchebasebschyperevmmainnetoptimismpolygonunichain
    e.g. mainnet

    Optional parameters

    NameTypeDescription
    factory
    query
    AddressFilter by factory address
    Single value or array of values* (separate multiple values with ,)
    *Plan restricted.
    e.g. 0x1f98431c8ad98523631ae4a59f267346ea31f984
    pool
    query
    AddressFilter by pool address
    Single value or array of values* (separate multiple values with ,)
    *Plan restricted.
    e.g. 0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640
    input_token
    query
    string · evm-addressFilter by contract address
    Single value or array of values* (separate multiple values with ,)
    *Plan restricted.
    e.g. 0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48
    output_token
    query
    string · evm-addressFilter by contract address
    Single value or array of values* (separate multiple values with ,)
    *Plan restricted.
    e.g. 0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2
    protocol
    query
    Enum · 13Protocol name
    uniswap_v1uniswap_v2uniswap_v3uniswap_v4curvefibalancerbancorcowaerodromedodowoofitraderjoekyber_elastic
    e.g. uniswap_v3
    limit
    query
    integerNumber of items* returned in a single request.
    *Plan restricted.
    page
    query
    integerPage number to fetch.
    Empty data array signifies end of results.

    Response

    200 OK
    {
      "data": [
        {
          "pool": "0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640",
          "factory": "0x1f98431c8ad98523631ae4a59f267346ea31f984",
          "protocol": "uniswap_v3",
          "input_token": {
            "address": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
            "symbol": "USDC",
            "decimals": 6
          },
          "output_token": {
            "address": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
            "symbol": "WETH",
            "decimals": 18
          },
          "fee": 500,
          "transactions": 1234567,
          "network": "mainnet"
        }
      ]
    }